<?php 
// *****************************************************************************
// This will allow an occurrences of the PERS_TYPE table to be updated.
// The identity of the selected occurrence is passed down from the previous screen.
// *****************************************************************************

//DebugBreak();
$table_id = "pers_type";                    // table id
$title    = 'Update PERSON TYPE';           // form title
// define the screen structure
$screen['xsl_file']          = 'std.detail1.xsl';
$screen['tables']['main']    = 'pers_type';
$screen['main']['columns'][] = array('width' => 150);
$screen['main']['columns'][] = array('width' => '*');
$screen['main']['fields']    = array('pers_type_id' => 'ID',
                                     'pers_type_desc' => 'Description');

$button_text = 'Update';
// hard code the selection criteria
$selection = "pers_type_id='ACTOR'";

require_once 'include.inc';

// identify mode for xsl file
$mode = 'update';

// define action buttons
$act_buttons['submit'] = 'SUBMIT';

// initialise session
initSession();

// create a class instance for the main database table
require_once "$table_id.class.inc";
if (isset($script_vars['dbobject'])) {
    // use data from previous instance for this script
    $dbobject = unserialize($script_vars['dbobject']); 
    // get previous data
    $fieldarray = $dbobject->getFieldArray();
} else {
    // create new instance for initial activation of this script
    $dbobject = new $table_id;
    // check that primary key is complete
    $dbobject->checkPrimaryKey = true;
} // if

if ($_SERVER['REQUEST_METHOD'] == 'GET') {
    if (!empty($selection)) {
        // retrieve profile has been passed down from previous screen
        $where = $selection;
        $selection = null;
    } // if
    if (empty($where)) {
        echo 'Nothing has been selected yet.';
        exit;
    } // if
    
    $dbobject->setRowsPerPage(1); // scroll through one item at a time
    
    // get data from the database
    $fieldarray = $dbobject->getData($where);
    if ($dbobject->getErrors()) {
        // some sort of error - return to previous script
        print_r($dbobject->getErrors());
        exit;
    } // if
    if ($dbobject->getNumRows() < 1) {
        echo 'Nothing retrieved from the database.';
        exit;
    } // if
    
    // get any extra data and merge with $fieldarray
    $fieldarray[0] = $dbobject->getExtraData($fieldarray[0]);
    
    // rebuild selection criteria using primary key of 1st occurrence
    $where = array2where($fieldarray[0], $dbobject->getPkeyNames());
    
    // save data in session file
    $script_vars['where']     = $where;
    unset($script_vars['selection']);
    $script_vars['dbobject']  = serialize($dbobject);
    $_SESSION[$_SERVER['PHP_SELF']] = $script_vars;
} // if

// look for entered data
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // merge original data with POSTed data (so that fields which were displayed
    // but not POSTed are sent back if any errors are displayed).
    $fieldarray[0] = array_update($fieldarray[0], $_POST); 
    // update this data in the database
    $fieldarray[0] = $dbobject->updateRecord($fieldarray[0]);
    $errors = $dbobject->getErrors();
    if (empty($errors)) {
        $message[] = 'Record updated OK'; 
        // re-read database in case any other values have been changed
        $fieldarray = $dbobject->getData($where); 
        // get any extra data and merge with $fieldarray
        $fieldarray[0] = $dbobject->getExtraData($fieldarray[0]); 
        // save current data in session array
        $script_vars['dbobject'] = serialize($dbobject);
        $_SESSION[$_SERVER['PHP_SELF']] = $script_vars;
    } // if
} // if

// build list of objects for output to XML data
$xml_objects[]['root'] = &$dbobject;

// build XML document and perform XSL transformation
buildXML($xml_objects, $errors, $message);
exit;

?>
