<?php
require_once 'std.table.class.inc';
class Pers_Type extends Default_Table
{

// ****************************************************************************
// class constructor
// ****************************************************************************
	function Pers_Type ()
	{
	   $this->tablename       = 'pers_type';
      $this->dbname          = 'sample';
	   $this->rows_per_page   = 10;
      $this->default_orderby = 'pers_type_id';
	   
      // determines if database updates are recorded in an audit log
      $this->audit_logging = false;
      
      // call this method to get original field specifications
      // (note that they may be modified at runtime)
      $this->fieldspec = $this->getFieldSpec_original();
	   
      // list of optional relationships
      $this->relationship[] = array('many' => 'person',
                                    'type' => 'restricted',
                                    'fields' => array('pers_type_id' => 'pers_type_id'));
      
	} // Pers_Type

// ****************************************************************************
   function getFieldSpec_original ()
   // set the specifications for this database table
   {
      // build array of field specifications
	   $fieldspec['pers_type_id']   = array('type' => 'string',
                                           'size' => 6,
                                           'required' => 'y',
                                           'pkey' => 'y',
                                           'uppercase' => 'y');
	   $fieldspec['pers_type_desc'] = array('type' => 'string',
                                           'size' => 40,
                                           'required' => 'y');
	   
      return $fieldspec;
      
   } // getFieldSpec_original
   
// ****************************************************************************
	function getValRep ($item='pers_type_id')
	// get Value/Representation list from this table
	// custom method to obtain table contents as an associative array
	{
	   
      $array = array();
	   
      if (strtolower($item) == 'pers_type_id') {
         // start array with blank entry
	      $array[' '] = '';
	      
         // get data from the database
         $this->sql_select     = 'pers_type_id, pers_type_desc';
         $this->sql_orderby    = 'pers_type_id';
         $this->sql_ordery_seq = 'asc';
         $this->rows_per_page  = 0;  // turn off pagination
	      $data = $this->getData(NULL);
         
         // convert each row into 'id=desc' in the output array
         foreach ($data as $row => $rowdata) {
            $rowvalues = array_values($rowdata);
            $array[$rowvalues[0]] = $rowvalues[1];
         } // foreach
         	   
	      return $array;
      } // if
	   
	   return $array;
	   
	} // getValRep

// ****************************************************************************
} // end class
// ****************************************************************************

?>
