<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!--
//*****************************************************************************
// Copyright 2003-2004 by A J Marston <http://www.tonymarston.net>
// Distributed under the GNU General Public Licence
//*****************************************************************************
-->

<xsl:param name="script_time">0.0</xsl:param>
<xsl:param name="help_root">root</xsl:param>
<xsl:param name="taskid">logon</xsl:param>
<xsl:param name="session_name"></xsl:param>

<xsl:template name="actbar">

  <div class="actionbar">
  
    <div class="left">
    <xsl:text> </xsl:text>  <!-- insert a space to prevent an empty element -->
      <xsl:for-each select="//actbar/button[@id='submit' or @id='choose']">
        <!-- create a button for each element within actionbar -->
        <input type="submit" name="{@id}" value="{node()}" />
        <xsl:text> </xsl:text>
      </xsl:for-each>
    </div>
    
    <div class="right">
    <xsl:text> </xsl:text>  <!-- insert a space to prevent an empty element -->
      <xsl:for-each select="//actbar/button[not(@id='submit') and not(@id='choose')]">
        <!-- create a button for each element within actionbar -->
        <input type="submit" name="{@id}" value="{node()}" />
        <xsl:text> </xsl:text>
      </xsl:for-each>
    </div>
    
  </div>
  
  <!-- create a hidden field for session_name -->
  <xsl:if test="$session_name">
    <input type="hidden" name="session_name" value="{$session_name}" />
  </xsl:if>
  
  <p class="scripttime">page created in <xsl:value-of select="$script_time"/> seconds</p>
  
</xsl:template>

<xsl:template name="help">

  <div class="help">
    <p class="help">
      <!-- create a logout button -->
      <!-- <a href="{$help_root}/help.php?taskid=logout" target="_blank" >logout</a>
      <xsl:text> | </xsl:text> -->
      <!-- create a HELP button -->
      <a href="{$help_root}/help.php?taskid={$taskid}">help</a>
    </p>
  </div>
  
</xsl:template>

</xsl:stylesheet>
