<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!--
//*****************************************************************************
// Copyright 2003-2004 by A J Marston <http://www.tonymarston.net>
// Distributed under the GNU General Public Licence
//*****************************************************************************
-->

<!-- this version is for LIST screens -->
<xsl:template name="navbar">
  
  <xsl:variable name="session" select="concat('session_name=',$session_name)" />
  
  <div class="navbar">
    <p class="navbar_withoutselection">
      <xsl:for-each select="//navbar/*[@context_preselect='N']">
          <!-- create a button for each element within navbar -->
          <input type="submit" name="{@id}" value="{node()}" />
          <xsl:text> </xsl:text>
      </xsl:for-each>
    </p>
    
    <p class="navbar_selection" style="float:right;">
      <a href="{$script}?{$session}&amp;pagesize=10">show 10</a>
      <xsl:text> | </xsl:text>
      <a href="{$script}?{$session}&amp;pagesize=25">show 25</a>
      <xsl:text> | </xsl:text>
      <a href="{$script}?{$session}&amp;pagesize=50">show 50</a>
      <xsl:text> | </xsl:text>
      <a href="{$script}?{$session}&amp;pagesize=100">show 100</a>
      <xsl:text>&#160;</xsl:text>
    </p>
    
    <p class="navbar_selection">
      <xsl:text>Selections: &#160;&#160;</xsl:text>
      <a href="{$script}?{$session}&amp;action=selectall">select all</a>
      <xsl:text> | </xsl:text>
      <a href="{$script}?{$session}&amp;action=unselectall">unselect all</a>
      <xsl:text></xsl:text>
    </p>
    
    <p class="navbar_withselection">
      <xsl:for-each select="//navbar/*[@context_preselect='Y']">
          <!-- create a button for each element within navbar -->
          <input type="submit" name="{@id}" value="{node()}" />
          <xsl:text> </xsl:text>
      </xsl:for-each>
    </p>
  </div>

</xsl:template>


<!-- this version is for DETAIL screens -->
<xsl:template name="navbar_detail">
  
  <xsl:if test="count(//navbar/*)&gt;0">
    
    <div class="navbar">
      <p class="navbar_withoutselection">
        <xsl:for-each select="//navbar/*">
            <!-- create a button for each element within navbar -->
            <input type="submit" name="{@id}" value="{node()}" />
            <xsl:text> </xsl:text>
        </xsl:for-each>
      </p>
    </div>
    
  </xsl:if>

</xsl:template>

</xsl:stylesheet>
